## torque 2.4.8%2Bdfsg

=== debian/changelog ===
torque (2.4.8+dfsg-9~bpo50+1) lenny-backports; urgency=low

  * Upload to backports.debian.org

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 18 Nov 2010 13:19:17 +0000

torque (2.4.8+dfsg-9) unstable; urgency=low

  * Added binary dependency libkvm-dev to libtorque2-dev
    This is fixing a OpenMPI FTBFS (Closes: #595231)
  * Fixed bugnumber in debian/changelog

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 02 Sep 2010 14:27:25 -0400

torque (2.4.8+dfsg-8) unstable; urgency=low

  [ Jordi Mallach ]
  * Remove unneeded .la file from torque-pam.

  [ Dominique Belhachemi ]
  * Fix PID filename in /etc/init.d/torque-scheduler
  * Fix tclIndex generation (Closes: #587262)
  * Move /etc/torque/server_name to package torque-common
  * torque-server and torque-mom recommends:
  *    torque-client | torque-client-x11 (Closes: #587259)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 01 Jul 2010 01:08:41 -0400

torque (2.4.8+dfsg-7) unstable; urgency=low

  * Fix paths on "non-standard-dir-perm" overrides.
  * Make torque-server Conflict: torque-client (<= 2.4), and
    torque-client-x11 Replace: torque-gui, for smoother upgrade path
    from the Ubuntu packages.
  * Explicitly enable RPP.
  * Pass --with-rcp=scp so Torque uses scp as remote copy command.
  * Build-Depend on openssh-client.
  * Add gnu_fixes.patch, disabled for now, to fix builds on the Hurd.
    This patch is a temporary hack. As it is now, the package will build,
    but will most probably not work. The correct fix is to disable quota
    support on this platform.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Jun 2010 10:25:46 +0200

torque (2.4.8+dfsg-6) unstable; urgency=low

  [ Dominique Belhachemi ]
  * fixed manpage generation for GNU/kFreeBSD
  * debian/compat: bump to 7
  * removed packages: libtorque2-doc and torque-doc
  * added symbolic link /var/spool/torque/server_name ->
                        /etc/torque/server_name
  * package torque-common moved to arch-dependent

  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * Minor fixes to package descriptions.
  * Correct uses of $DAEMON_SERVER in init scripts where $NAME should
    have been used instead.
  * Generate $VERSION (now $UVERSION) using dpkg-parsechangelog.
  * Remove linda overrides; linda is no longer in Debian or Ubuntu.
  * Pass --with-sendmail=/usr/sbin/sendmail to configure to get pbs_server
    actually send emails (closes: LP: #474727)
  * Use dh_autotools-dev_updateconfig & dh_autotools-dev-restoreconfig from
    autotools-dev in the build process to update config.{guess,sub}.
  * Bump autotools-dev requirement to >= 20100122.1~ to ensure the
    availability of the Debhelper programs.
  * Split patches and add DEP-3 headers to all of them:
    - Create freebsd5_manpages.patch, gnu-kfreebsd_mach_type.patch and
      spec_fhs_paths.patch.
    - Drop static config.{guess,sub} updating; this is now handled by
      dh_autotools-dev_updateconfig.
  * Add manpage_fixes.patch to fix several spelling errors and
    minus-sign-vs-hyphen issues.
  * Drop README.source and don't Build-Depend on quilt, as they are not
    necessary anymore with source format 3.0 (quilt).
  * Wrap Build-Depends.
  * Add lintian overrides for "non-standard-dir-perm", "file-in-unusual-dir"
    and "setuid-binary".
  * Add a call to dh_lintian.
  * Fix signatures in old, unreleased debian/changelog entries.

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 10 Jun 2010 19:40:26 +0200

torque (2.4.8+dfsg-5) unstable; urgency=low

  * install man pages together with their associated binaries (Closes: #581576)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 17 May 2010 20:56:46 +0200

torque (2.4.8+dfsg-4) unstable; urgency=low

  * fixed compiler warning to support GNU/kFreeBSD
  * use linux resmom for GNU/Hurd
  * provide momctl in torque-client and torque-client-x11 (Closes: #581550)
  * added conflicts to qterm and gridengine-client (Closes: #581576)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 13 May 2010 19:29:06 +0200

torque (2.4.8+dfsg-3) unstable; urgency=low

  * buildutils/config.guess:
  * buildutils/config.sub: Replace with current version from package
    autotools-dev.  Closes: #581032.
  * debian/control: added dependencies for GNU/kFreeBSD

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 10 May 2010 18:12:20 +0200

torque (2.4.8+dfsg-2) unstable; urgency=low

  * torque-common: added missing directory

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 10 May 2010 07:24:38 +0200

torque (2.4.8+dfsg-1) unstable; urgency=low

  * New upstream release
  * removed conflicting files

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 09 May 2010 23:01:13 +0200

torque (2.4.7-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * bump standard version
  * Cleaned chrpath lintian error [debian/rules] (Steffen)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 02 May 2010 00:40:34 +0200

torque (2.4.0b1-2) UNRELEASED; urgency=low

  * Started merge of Debian and Ubuntu packages
    - Updated description of packages
    - torque-pam package
    - torque-scheduler package (== preparation for MAUI)
    - split sched and server init scripts

 -- Steffen Moeller <moeller@debian.org>  Wed, 31 Dec 2008 16:27:36 +0100

torque (2.4.0b1-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Michael Dorr <mdweb@web.de>  Mon, 22 Dec 2008 12:21:32 +0100

torque (2.3.0-1) UNRELEASED; urgency=low

  [ Daniel Bayer ]
  * New upstream release
  * moved to tcl8.5 and tk8.5
  * include pbstop in the client packages
  * changed the name of library package 
  * adjust from /usr/local to /usr (quilted by Steffen)

  [ Steffen Moeller]
  * supporting quilt for patches
  * debian/control: Added Vcs-Browser and Vcs-Svn entries 

 -- Daniel Bayer <bayer@inb.uni-luebeck.de>  Thu, 03 Apr 2008 14:36:42 +0200

torque (2.1.10-1) UNRELEASED; urgency=low

  * New upstream release

