## torque 2.4.8+dfsg

=== debian/changelog ===
torque (2.4.8+dfsg-9squeeze4) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0749.patch patch.
    CVE-2014-0749: Fix stack-based buffer overflow vulnerability which can
    be exploited in order to remotely execute code from an unauthenticated
    perspective. (Closes: #748827)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 May 2014 17:48:07 +0200

torque (2.4.8+dfsg-9squeeze3) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4495.patch patch.
    CVE-2013-4495: the pbs_server daemon would pass some user-input data to
    popen() in order to send an email allowing remote privilege escalation.
    (Closes: #729333)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 11 Nov 2013 23:52:34 +0100

torque (2.4.8+dfsg-9squeeze2) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4319.patch.
    CVE-2013-4319: remote arbitrary command execution as root on cluster
    by a non-priviledged user who is able to run jobs or login to a node
    which runs pbs_server or pbs_mon. (Closes: #722306)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Oct 2013 22:46:53 +0200

torque (2.4.8+dfsg-9squeeze1) stable-security; urgency=low

  * [CVE_2011_2193]: Fix two potential buffer overflows:
    jobid length and hostname length weren't properly checked,
    and these both allow segfaults/buffer overflow attacks within
    the code.
  * Steal an additional potential buffer overflow fix from upstream SVN:
    - src/resmom/checkpoint.c (mom_checkpoint_recover): Use strncpy and
      strncat instead of strcpy and strcat.
  * Update Vcs-* fields to point to the new squeeze branch.

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Jul 2011 18:37:00 +0200
