## torque 2.4.12+dfsg

=== debian/changelog ===
torque (2.4.12+dfsg-3) unstable; urgency=low

  * Upload to unstable
  * Added tcl85.patch: Fix xpbsmon issue (Closes: #626480)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 12 May 2011 23:55:29 -0400

torque (2.4.12+dfsg-2) experimental; urgency=low

  * enable gnu_fixes.patch to fix build problems on GNU/Hurd (Closes: #622157)

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 May 2011 16:01:12 -0400

torque (2.4.12+dfsg-1) experimental; urgency=low

  * Now upstream release
  * Bump Standards-Version: 3.9.1
  * removed patches because applied upstream
  *  gnu-kfreebsd_mach_type.patch
  *  manpage_fixes.patch
  *  spec_fhs_paths.patch
  * Upload to experimental

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 06 May 2011 22:35:44 -0400

torque (2.4.8+dfsg-10) unstable; urgency=low

  * debian/control: added build dependency libreadline-dev
  * debian/rules: added configure option --disable-gcc-warnings (Closes: #625408)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 05 May 2011 19:05:08 -0400
