=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 	--with-default-server=torqueserver \
 	--with-pam=$(PAM_DIR) \
 	--with-sendmail=/usr/sbin/sendmail \
-	--with-server-name-file=/etc/torque/server_name 
+	--with-server-name-file=/etc/torque/server_name \
+        --disable-gcc-warnings
 
 
 configure: configure-stamp
@@ -78,7 +79,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.8+dfsg
+	rm -f torque-2.4.12
 
 
 install: build
@@ -199,4 +200,3 @@
 	dh_makeshlibs -p libtorque2 -V
 	dh_installdeb
 	dh_perl
-	dh_shlibdeps -l$(CURDIR)/debian/libtorque2/usr/lib/ -L libtorque2
