## torque 2.4.15+dfsg

=== debian/changelog ===
torque (2.4.15+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 25 Jul 2011 19:35:45 -0400
