=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.12
+	rm -f torque-2.4.15
 
 
 install: build
