## torque 2.4.16+dfsg

=== debian/changelog ===
torque (2.4.16+dfsg-1ubuntu1) raring; urgency=low

  * Specified multiarch Tcl and Tk locations during configure,
    fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 10 Apr 2013 17:36:58 -0400

torque (2.4.16+dfsg-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:30 -0700

torque (2.4.16+dfsg-1) unstable; urgency=low

  * New upstream release
  * This version of TORQUE fixes a problem with MOM's seg-faulting.

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 01 Aug 2011 20:05:47 -0400
