=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: torque
 Section: net
 Priority: optional
-Maintainer: Morten Kjeldgaard <mok@bioxray.au.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Morten Kjeldgaard <mok@bioxray.au.dk>
 Uploaders: Dominique Belhachemi <domibel@debian.org>,
            Jordi Mallach <jordi@debian.org>,
            Steffen Moeller <moeller@debian.org>
@@ -12,12 +13,14 @@
                libkvm-dev [kfreebsd-any],
                openssh-client,
                tcl8.5-dev,
-               tk8.5-dev
-Standards-Version: 3.8.4
+               tk8.5-dev,
+               libreadline-dev,
+               dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/torque/branches/squeeze/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/torque/branches/squeeze
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/torque/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/torque/trunk/
 Homepage: http://www.clusterresources.com/pages/products/torque/
 
 Package: torque-common
