=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CFLAGS += -Wall
 
@@ -54,7 +55,7 @@
 	mkdir -p debian/build/without-x
 	cd debian/build/with-x && /tmp/torque-src/configure $(OPTIONS) \
 		--srcdir /tmp/torque-src \
-		--with-tcl=/usr/lib/tcl8.5 --with-tk=/usr/lib/tk8.5 \
+		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.5 --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk8.5 \
 		--disable-server --disable-mom
 	cd debian/build/without-x && /tmp/torque-src/configure $(OPTIONS) \
 		--srcdir /tmp/torque-src \
@@ -79,7 +80,7 @@
 	if [ -x /usr/bin/dh_autotools-dev_restoreconfig ]; then \
 	  dh_autotools-dev_restoreconfig; \
 	fi
-	rm -f torque-2.4.15
+	rm -f torque-2.4.16
 
 
 install: build
@@ -196,7 +197,3 @@
 	dh_link
 	dh_strip
 	dh_compress 
-	dh_fixperms -X pbs_iff -X /var/spool/torque/spool -X /var/spool/torque/undelivered
-	dh_makeshlibs -p libtorque2 -V
-	dh_installdeb
-	dh_perl
